function SpellBlocked_OnLoad()
	SpellBlocked:RegisterEvent("CHAT_MSG_SPELL_CREATURE_VS_SELF_DAMAGE")
	SpellBlocked:RegisterEvent("CHAT_MSG_SPELL_HOSTILEPLAYER_DAMAGE")
end

function SpellBlocked_OnEvent(event,arg1)
	local r, g, b = 202/255, 76/255, 217/255
	if ((event == "CHAT_MSG_SPELL_CREATURE_VS_SELF_DAMAGE" or event == "CHAT_MSG_SPELL_HOSTILEPLAYER_DAMAGE") and string.find(arg1,"You reflect ")) then
		for creature, spell in string.gmatch(arg1, "You reflect (.+)'s (.+).") do
			local msg = (spell.." (Reflected)")
			if SCT_Display then
				SCT_Display(msg, {r=r,g=g,b=b})
			elseif MikSBT then
				local msbtArea = self.db.profile.msbtArea
				if not msbtArea then
					msbtArea = MikSBT.DISPLAYTYPE_NOTIFICATION
				end
				MikSBT.DisplayMessage(msg, msbtArea, self.db.profile.msbtSticky, r, g, b)
			else
				CombatText_AddMessage(msg, COMBAT_TEXT_SCROLL_FUNCTION, r, g, b)
			end
		end
	end
end